# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PHP_EXT_NAME="gmagick"

PHP_EXT_PECL_FILENAME="${PN/pecl-/}-${PV/_rc/RC}.tgz"
USE_PHP="php5-4 php5-5 php5-6"

inherit php-ext-pecl-r3

KEYWORDS="amd64 x86"

DESCRIPTION="PHP wrapper for the GraphicsMagick library."
LICENSE="PHP-3.01"
SLOT="5"
IUSE="examples"

DEPEND=">=media-gfx/graphicsmagick-1.2.6"
RDEPEND="${DEPEND}"

src_unpack() {
	unpack ${A}
	mv "${WORKDIR}/gmagick-${PV/_rc/RC}" "${S}"
}

src_configure() {
	my_conf="--with-gmagick=/usr"
	php-ext-source-r3_src_configure
}
