# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7

PHP_EXT_NAME="gmagick"

MY_PN="gmagick"
MY_PV="${PV/_rc/RC}"
MY_P="${MY_PN}-${MY_PV}"

PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
USE_PHP="php7-0 php7-1 php7-2"

inherit php-ext-pecl-r3

KEYWORDS="~amd64 ~x86"

DESCRIPTION="PHP wrapper for the GraphicsMagick library."
LICENSE="PHP-3.01"
SLOT="7"
IUSE="examples"

DEPEND=">=media-gfx/graphicsmagick-1.3.20"
RDEPEND="${DEPEND}"

src_unpack() {
	unpack ${A}
	mv ${MY_P} ${S}
}

src_configure() {
	my_conf="--with-gmagick=/usr"
	php-ext-source-r3_src_configure
}
